Unit tagh8r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AGH8R_p;

function tagh8r: String;

implementation

function tagh8r: String;
var
J,I,N,IERR :Integer;
V :Array [0..24] of Real;
EV :Array [0..4] of Real;
RAB1 :Array [0..9] of Real;
const
A :Array [0..24] of Real = ( 10.0,0.0,0.0,0.0,0.0,2.0,12.0,0.0,0.0,0.0,3.0,
1.0,11.0,0.0,0.0,1.0,2.0,1.0,9.0,0.0,1.0,1.0,-1.0,
1.0,15.0 );
B :Array [0..24] of Real = ( 12.0,0.0,0.0,0.0,0.0,1.0,14.0,0.0,0.0,0.0,-1.0,
1.0,16.0,0.0,0.0,2.0,-1.0,-1.0,12.0,0.0,1.0,1.0,
1.0,-1.0,11.0 );
begin
Result := '';  {   }
Result := Result + Format('%s',
 [#$0D#$0A + ' OPEEEHE COCTBEHHX HAEH  COCTBEHHX BEKTOPOB' + #$0D#$0A +
 ' PABHEH BA:BAX=MA*X, E A  B -  BEECTBEHHE CMMETPECKE' + #$0D#$0A +
 ' MATP']) + #$0D#$0A; 
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' A' + #$0D#$0A]);
for I:=1 to 5 do
 begin
  for J:=1 to 5 do
   begin
    Result := Result + Format('%20.16f ',[A[(I-1)+(J-1)*5]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' B' + #$0D#$0A]);
for I:=1 to 5 do
 begin
  for J:=1 to 5 do
   begin
    Result := Result + Format('%20.16f ',[B[(I-1)+(J-1)*5]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
N := 5;
AGH8R(A,B,V,EV,RAB1,N,IERR);
Result := Result + Format('%s',[#$0D#$0A + ' PETAT']) + #$0D#$0A; 
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' A' + #$0D#$0A]);
for I:=1 to 5 do
 begin
  for J:=1 to 5 do
   begin
    Result := Result + Format('%20.16f ',[A[(I-1)+(J-1)*5]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' B' + #$0D#$0A]);
for I:=1 to 5 do
 begin
  for J:=1 to 5 do
   begin
    Result := Result + Format('%20.16f ',[B[(I-1)+(J-1)*5]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' EV' + #$0D#$0A]);
for I:=1 to 5 do
 begin
  Result := Result + Format('%20.16f ',[EV[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' V' + #$0D#$0A]);
for I:=1 to 5 do
 begin
  for J:=1 to 5 do
   begin
    Result := Result + Format('%20.16f ',[V[(I-1)+(J-1)*5]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' IERR' + #$0D#$0A]);
Result := Result + Format('%8d ',[IERR]) + #$0D#$0A;
UtRes('tagh8r',Result);  {     tagh8r.res }
exit;
end;

end.
